function formatearCampo(campo) {
    return parseFloat(campo);
}
/*
function formatearCampo(campo) {
    return parseFloat(campo).toString().replace(/(\.\d*?)0+$/, '$1');
}
*/
$('#buscar').click(function(){
        placa=$('#placa').val();
        $.ajax({
           url:'data/data_vehiculo.php',
           type:'post',
           data: 'placa='+placa,
           dataType:'json',
           success:function(r){
                if(r.placa1==placa|| r.placa2==placa || r.placa3==placa|| r.placa4==placa||r.placa5==placa || r.placa6==placa||r.placa7==placa){
                    $('#SoatCostoA').val(formatearCampo(r.costo_anual1));
                    $('#SoatCostoM').val(formatearCampo(r.costo_mensual1));
                    $('#GpsCostoA').val(formatearCampo(r.costo_anual3));
                    $('#GpsCostoM').val(formatearCampo(r.costo_mensual3));
                    $('#RevtecCostoA').val(formatearCampo(r.costo_anual5));
                    $('#RevtecCostoM').val(formatearCampo(r.costo_mensual5));
                    $('#DepreCostoM').val(formatearCampo(r.costo_mensual2));
                    $('#NeumaConcepto').val(r.concepto);
                    $('#NeumaMonto').val(formatearCampo(r.monto));
                    $('#NeumaCostokm').val(formatearCampo(r.costokm));
                    $('#OperaSueldo').val(formatearCampo(r.sueldo));
                    $('#OperaAsigF').val(formatearCampo(r.asignacion_fam));
                    $('#OperaCts').val(formatearCampo(r.cts));
                    $('#OperaGrati').val(formatearCampo(r.gratificacion));
                    $('#OperaEssalud').val(formatearCampo(r.essalud));
                    $('#OperaHE').val(formatearCampo(r.horas_extras));
                    $('#OperaTotal').val(formatearCampo(r.total));
                    $('#ImpCostoM').val(formatearCampo(r.costo_mensual4));
                }else{
	               	$('#SoatCostoA').val(0);
					$('#SoatCostoM').val(0);
					$('#GpsCostoA').val(0);
					$('#GpsCostoM').val(0);
					$('#RevtecCostoA').val(0);
					$('#RevtecCostoM').val(0);
					$('#DepreCostoM').val(0);
					$('#NeumaConcepto').val('');
					$('#NeumaMonto').val(0);
					$('#NeumaCostokm').val(0);
					$('#OperaSueldo').val(0);
					$('#OperaAsigF').val(0);
					$('#OperaCts').val(0);
					$('#OperaGrati').val(0);
					$('#OperaEssalud').val(0);
					$('#OperaHE').val(0);
					$('#OperaTotal').val(0);
					$('#ImpCostoM').val(0);                 
                }
           }
        });
    });


// TOTAL PARA LA CONFIGURACION SE VEHICULO SOAT
// Obtiene los elementos input por su ID
const soatCostoA = document.getElementById('SoatCostoA');
const soatCostoM = document.getElementById('SoatCostoM');


// Agrega un evento de input a cada campo
soatCostoA.addEventListener('input', calcularTotalSoat);


// Función para calcular el total, total y mostrarlo en el campo respectivo
function calcularTotalSoat() {
    const valsoatCostoA = parseFloat(soatCostoA.value) || 0; // Convierte a número o asigna 0 si no es válido

    const valsoatCostoM = valsoatCostoA/12; //Respuesta para el soat

    soatCostoM.value = valsoatCostoM.toFixed(2); // Muestra el total con 2 decimales

   
}

// TOTAL PARA LA CONFIGURACION SE VEHICULO GPS
// Obtiene los elementos input por su ID
const gpsCostoA = document.getElementById('GpsCostoA');
const gpsCostoM = document.getElementById('GpsCostoM');

// Agrega un evento de input a cada campo
gpsCostoA.addEventListener('input', calcularTotalGPS);


// Función para calcular el total, total y mostrarlo en el campo respectivo
function calcularTotalGPS() {
    const valgpsCostoA = parseFloat(gpsCostoA.value) || 0;  // Convierte a número o asigna 0 si no es válido

    const valgpsCostoM = valgpsCostoA/12; //Respuesta para el GPS

    gpsCostoM.value = valgpsCostoM.toFixed(2); // Muestra el total con 2 decimales   
}


// TOTAL PARA LA CONFIGURACION SE VEHICULO REVISION
// Obtiene los elementos input por su ID
const revtecCostoA = document.getElementById('RevtecCostoA');
const revtecCostoM = document.getElementById('RevtecCostoM');

// Agrega un evento de input a cada campo
revtecCostoA.addEventListener('input', calcularTotalRevision);


// Función para calcular el total, total y mostrarlo en el campo respectivo
function calcularTotalRevision() {
    const valrevtecCostoA = parseFloat(revtecCostoA.value) || 0; // Convierte a número o asigna 0 si no es válido

    const valrevtecCostoM = valrevtecCostoA/12; //Respuesta para el Revision Tecnica

    revtecCostoM.value = valrevtecCostoM.toFixed(2); // Muestra el total con 2 decimales
   
}



// TOTAL PARA LA CONFIGURACION SE VEHICULO NEUMATICO
// Obtiene los elementos input por su ID
const neumaMonto = document.getElementById('NeumaMonto');
const neumaCostokm = document.getElementById('NeumaCostokm');


// Agrega un evento de input a cada campo
neumaMonto.addEventListener('input', calcularTotalNeumatico);


// Función para calcular el total, total y mostrarlo en el campo respectivo
function calcularTotalNeumatico() {
    const valneumaMonto = parseFloat(neumaMonto.value) || 0;    // Convierte a número o asigna 0 si no es válido

    const valsneumaCostokm = valneumaMonto/60000; //Respuesta para el Costo Neumatico

    neumaCostokm.value = valsneumaCostokm.toFixed(4); // Muestra el total con 2 decimales
   
}

// TOTAL PARA LA CONFIGURACION SE VEHICULO SUELDO
// Obtiene los elementos input por su ID 
const operaSueldo = document.getElementById('OperaSueldo');
const operaAsigF = document.getElementById('OperaAsigF');
const operaCts = document.getElementById('OperaCts');
const operaGrati = document.getElementById('OperaGrati');
const operaEssalud = document.getElementById('OperaEssalud');
const operaHE = document.getElementById('OperaHE');
const operaTotal = document.getElementById('OperaTotal');




// Agrega un evento de input a cada campo
operaSueldo.addEventListener('input', calcularTotalSueldo);
operaAsigF.addEventListener('input', calcularTotalSueldo);
operaHE.addEventListener('input', calcularTotalSueldo);




// Función para calcular el total, total y mostrarlo en el campo respectivo
function calcularTotalSueldo() {
    const valoperaSueldo = parseFloat(operaSueldo.value) || 0; // Convierte a número o asigna 0 si no es válido
    const valoperaAsigF = parseFloat(operaAsigF.value) || 0;    // Convierte a número o asigna 0 si no es válido
    const valoperaHE = parseFloat(operaHE.value) || 0;  // Convierte a número o asigna 0 si no es válido


    const valoperaCts = ((valoperaSueldo + valoperaAsigF + (valoperaSueldo*0.09))/2)/6; //Respuesta para el Sueldo Operaciones CTS

    operaCts.value = valoperaCts.toFixed(2); // Muestra el total con 2 decimales

    const valoperaGrati = (valoperaSueldo + valoperaAsigF + (valoperaSueldo*0.09))/6; //Respuesta para el Sueldo Operaciones Gratificacion

    operaGrati.value = valoperaGrati.toFixed(2); // Muestra el total con 2 decimales

    const valoperaEssalud = valoperaSueldo*0.09; //Respuesta para el Sueldo Operaciones ESSALUD

    operaEssalud.value = valoperaEssalud.toFixed(2); // Muestra el total con 2 decimales

    const valoperaTotal = valoperaSueldo + (((valoperaSueldo + valoperaAsigF + (valoperaSueldo*0.09))/2)/6) +
    ((valoperaSueldo + valoperaAsigF + (valoperaSueldo*0.09))/6) + valoperaAsigF + (valoperaSueldo*0.09) + valoperaHE; //Respuesta para el Sueldo Operaciones TOTAL

    operaTotal.value = valoperaTotal; // Muestra el total con 2 decimales
   
}

